Name:		aMule
Summary:	Another eMule file-sharing program
Version:	2.3.1
Release:	10.4
License:	GPL-2.0+
Group:		Productivity/Networking/Other
URL:		http://www.amule.org
Source0:	http://downloads.sourceforge.net/project/amule/aMule/%{version}/aMule-%{version}.tar.bz2
BuildRequires:	gcc-c++ gd-devel libpng-devel fdupes
BuildRequires:  libupnp-devel libcryptopp-devel libGeoIP-devel update-desktop-files
%if 0%{?suse_version} < 1210
BuildRequires:  wxWidgets-ansi-devel
%else
BuildRequires:  wxWidgets-wxcontainer-devel >= 2.8.12
%endif
%define _use_internal_dependency_generator 0
%define __find_requires %wx_requires
Requires:	GeoIP

%description
aMule stand for another eMule file-sharing program, it is also
another fork of the xMule (former lMule) project. It connects 
to eDonkey2000 network, supports Linux, *BSD platforms, and has
a new vision of the GUI.

###
# Think about splitting up the packages: amulegui, amuled...
###



%prep
%setup -q

%build
export CXXFLAGS='%{optflags} -fpermissive'
%configure \
  --enable-optimize \
  --disable-debug \
  --enable-amulecmd \
  --enable-amule-gui \
  --enable-amule-daemon \
  --enable-webserver \
  --enable-webservergui \
  --enable-cas \
  --enable-wxcas \
  --enable-alc \
  --enable-alcc \
  --enable-geoip \
  --enable-xas \
  --disable-silent-rules \
  --with-denoise-level=0

make %{?_smp_mflags}

%install
%make_install docdir=%{_defaultdocdir}/aMule

%suse_update_desktop_file -G "P2P Client" -i amule Network P2P
%suse_update_desktop_file  %buildroot/%_datadir/applications/alc.desktop
%suse_update_desktop_file  %buildroot/%_datadir/applications/amulegui.desktop
%suse_update_desktop_file  %buildroot/%_datadir/applications/wxcas.desktop

#tar -xf %{SOURCE1} -C %{buildroot}%{_datadir}/amule/
#mv %{buildroot}%{_datadir}/amule/amule__icon.png %{buildroot}%{_datadir}/pixmaps/amule.png

%find_lang amule

%fdupes -s %buildroot

%files -f amule.lang
%defattr(-,root,root)
%doc docs/AUTHORS docs/Changelog docs/README docs/license.txt
%doc %{_mandir}/*/*
%{_bindir}/*
%{_libdir}/xchat/plugins/xas.pl
%{_datadir}/amule/*
%{_datadir}/cas/*
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%dir %{_libdir}/xchat
%dir %{_libdir}/xchat/plugins
%dir %{_datadir}/amule
%dir %{_datadir}/cas
%dir %{_mandir}/tr
%dir %{_mandir}/hu

%changelog
* Tue Nov  6 2012 fisiu@opensuse.org
- Fix #PM-46: aMule fails to start on openSUSE:
  https://bugs.links2linux.org/browse/PM-46
* Thu Dec 29 2011 reddwarf@opensuse.org
- new upstream version 2.3.1
* Sat Mar 12 2011 reddwarf@opensuse.org
- use %%wx_requires in >=11.4
* Thu Mar 10 2011 javier@links2linux.de
- switch BuildRequires wxWidgets from PM to wxGTK for 11.2 and 11.3
* Wed Mar  9 2011 javier@links2linux.de
- add buildrequires libwx_gtk2u_gl-2_8-0-stl for 11.4
* Wed Mar  9 2011 javier@links2linux.de
- update buildrequires libcrypto++0-devel to libcryptopp-devel
* Wed Mar  9 2011 javier@links2linux.de
- split changelog from spec, fix file list
* Mon Oct  5 2009 Andrea Florio <andrea@links2linux,de> 2.2.6
- new upstream version 2.2.6
* Mon May 18 2009 Andrea Florio <andrea@links2linux,de> 2.2.5
- new upstream version 2.2.5
* Thu Apr 16 2009 andrea@links2linux.de
- update to upstream 2.2.4
* Mon Mar 23 2009 andrea@links2linux.de
- added upnp support
* Fri Jan  2 2009 andrea@links2linux.de
- update to upstream 2.2.3
* Sun Aug 17 2008 quentin@links2linux.de
- update to upstream 2.2.2
* Thu Jun 12 2008 quentin@links2linux.de
- update to upstream 2.2.1
- removed obsolete configure options (--disable-gsocket, --enable-unicode, --enable-utf8-systray)
* Mon Mar 24 2008 quentin@links2linux.de
- update to svn 20080324
- added geoip support
- fixed some BuildRequires
* Sat May 12 2007 detlef@links2linux.de
- update to CVS 20070507
* Wed May  3 2006 quentin@links2linux.de
- update to 2.0.2
* Tue Mar 21 2006 quentin@links2linux.de
- changed to -enable-amule-gui
* Sun Mar 19 2006 quentin@links2linux.de
- update to version 2.1.1 - bugfix release
* Sat Jan 14 2006 quentin@links2linux.de
- update to version 2.1.0 - the "I just teased you with this release till 2006" version
* Wed Jun 15 2005 quentin@links2linux.de
- update to version 2.0.3 - the "Hell 2.0.3: Now with improved daemons!" version.
- added aMule Folder Icons from AdrienV
* Thu Jun  9 2005 quentin@links2linux.de
- update to version 2.0.2
* Wed May 18 2005 quentin@links2linux.de
- update to the hotfix release, codename 'The Woops, HotFix"" version.'
* Tue May  3 2005 quentin@links2linux.de
- updated to the final release 2.0.0, codename 'The "Let's dedicate this to Tiku" version.'
* Thu Apr 21 2005 quentin@links2linux.de
- enabled the amule-daemon
- added a new desktop-icon (Crystal)
* Wed Apr  6 2005 quentin@links2linux.de
- update to rc8 on SuSE 9.3
* Mon Nov 22 2004 quentin@links2linux.de
- update to rc7 with SuSE's 9.2 wxGTK
* Tue Oct  5 2004 quentin@links2linux.de
- fixed wxWindows problems
* Mon Oct  4 2004 quentin@links2linux.de
- update to version 2.0.0rc6
* Tue Dec 30 2003 deltahf@users.sourceforge.net
- Removed statically link of libcurl, libssl and libcrypt for SuSE 8.2 and 9.0 rpms
* Thu Dec 18 2003 pure_ascii@users.sourceforge.net
- Call strip for the binaries
- Link libcurl, libssl and libcrypto statically
- better detection of wx-config
* Tue Dec 16 2003 pure_ascii@users.sourceforge.net
- Added patch to change optimisation to -Os (optimise for size)
- Fixed path for most doc files
* Sat Nov 29 2003 pure_ascii@users.sourceforge.net
- Initial revision
